Create a new consignment carrier freight ad hoc charge

Path Parameters
  • consignmentId
    Type: stringFormat: uuid
    required
Body·
application/json
  • chargeApplication
    Type: integerenum

    Integer numbers.

    values
    • Rate = 1
    • Fee = 2
  • chargeRateExclTax
    Type: numberFormat: double

    For rate-based charge applications, rate of charge is used in conjunction with the metric value to determine the overall charge value. For fee-based charge applications, this is the overall value.

  • costCentreId
    Type: string | nullFormat: uuid

    The ID of the cost centre.

  • metricValue
    Type: numberFormat: double

    For rate-based charge applications, this is the quantity or metric value of the charge and is used in conjunction with the rate to determine the overall charge value. For fee-based charge applications, this is defaulted to 1

  • particulars
    Type: string | null

    The particulars of the charge.

  • revenueAccountId
    Type: string | nullFormat: uuid

    The ID of the revenue account.

  • taxRateId
    Type: stringFormat: uuid

    The ID of the tax rate.

Responses
  • application/json
Request Example for post/v1/consignments/{consignmentId}/charges/carrier-freight/adhoc
curl https://api.consignlyhq.com/v1/consignments/123e4567-e89b-12d3-a456-426614174000/charges/carrier-freight/adhoc \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "particulars": "handling",
  "revenueAccountId": "00000000-0000-0000-0000-000000000000",
  "costCentreId": "00000000-0000-0000-0000-000000000000",
  "metricValue": 1,
  "chargeApplication": "enum (Rate = 1, Fee = 2)",
  "chargeRateExclTax": 22.5,
  "taxRateId": "00000000-0000-0000-0000-000000000000"
}'
{
  "consignmentChargeId": "00000000-0000-0000-0000-000000000000"
}